#A spec file that integrates properly with a mandrake (>7.0?) system, and works properly
#with KDE automake/autoconf applications
%define name klegacyconfig
%define version 0.6
%define release 3mdk

%define _qtdir        /usr/lib/qt3

Summary:	KLegacyconfig integrates non-kde apps into the kde control center
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://ftp.kde.com/Administration/KLegacyconfig/klegacyconfig-%{version}.tar.bz2
Patch:		klegacyconfig-0.6-mandrake90-apps.patch.bz2
Patch1:		klegacyconfig-0.6-mandrake90-command-args.patch.bz2
License:	GPL
Url:		http://jonsim.kdedevelopers.net
Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	python > 2.0, kdebase
BuildRequires:	kdebase-devel

%description
Legacyconfig integrates non-kde apps into the kde control center.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch1 -p1

%build
	#We need to avoid mandrakes libtoolise script, by doing this all without
	#the standard macro
	CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
	CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
	FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
	./configure \
	%{?_gnu: --host=%{_host} --target=%{_target_platform}} \
	%{!?_gnu: %{_target_platform}} \
 	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--localstatedir=%{_localstatedir} \
	--sharedstatedir=%{_sharedstatedir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}\
	--enable-final
#	--with-qt-dir=%{_qtdir} \
%make
%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}
%makeinstall
#mkdir -p  $RPM_BUILD_ROOT/usr/share/config
#cp config/* $RPM_BUILD_ROOT/usr/share/config
#mkdir -p $RPM_BUILD_ROOT%{_menudir}
#cp $RPM_SOURCE_DIR/klegacyconfig $RPM_BUILD_ROOT%{_menudir}




cd $RPM_BUILD_ROOT
#find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}
rm -rf ../file.list.%{name}

%files -f  ../file.list.%{name}
%defattr(-,root,root)


%post
%{update_menus}

%postun
%{clean_menus}


%changelog
* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-3mdk
- Rebuild

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Rebuild

* Sun Nov 24 2002 Buchan Milne <bgmilne@linux-mandrake.com> 0.6-1mdk
- 0.6
- Update for Mandrake 9.0 (patch0)
- Allow single (for now) arguments to commands (make diskrake -- work) (patch1)
- This still needs some work (mkdir ~/.menu for example)

* Tue May 21 2002 Jonathon Sim <jonathonsim@iname.com> 0.5-1mdk
- complete kde 3 port
- no longer runs a root!
- include legacyconfigscan which scans for config programs

* Sat Apr 20 2002 Jonathon Sim <jonathonsim@iname.com> 0.3-1plus
- Rebuild for kde3

* Mon Mar 25 2002 Jonathon Sim <jonathonsim@iname.com> 0.2-3plus
- Mandrake 8.2 build

*  Tue Feb 19 2002 Jonathon Sim <jonathonsim@iname.com> 0.2-2plus
- Include needed configs

*  Mon Feb 18 2002 Jonathon Sim <jonathonsim@iname.com> 0.2-1plus
- First release.
- Parts of spec-file also adapted from kdevelop template, to create: FRANKENSPEC!! arggh!
- spec file stolen from mandrake RPM howto http://www.linux-mandrake.com/howtos/mdk-rpm/building.html


# end of file

